Package com.collabnet.ce.soap60.webservices.cemain

# Class GenericFolderSoapDOMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDOMarshaler
com.collabnet.ce.soap60.webservices.cemain.GenericFolderSoapDOMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

public class GenericFolderSoapDOMarshaler extends FolderSoapDOMarshaler
This is used when generic folder objects are used. The need here is from certain events using FolderDO's that need to be marshaled and sent to custom event handlers. In these cases, we need to send the FolderSoapDO to the handler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SoapMarshaler`
  `getInstance()`
  Returns the singleton class instance.
  `Object`
  `rmiToSoap(Object rmiObject)`
  Converts a FolderDO into a GenericFolderSoapDO.
  `Object`
  `soapToRmi(Object soapObject)`
  Convert a FolderSoapDO into a FolderDO.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDOMarshaler

  `protectedRmiToSoap, protectedSoapToRmi`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler

  `getCoreService`

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler

  `isStateless`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static SoapMarshaler getInstance()
    Returns the singleton class instance.
    Returns:
      Singleton class instance.

  - ### soapToRmi

    public Object soapToRmi(Object soapObject) throws SoapMarshalingException
    Convert a FolderSoapDO into a FolderDO. Realistically, this should never be called.
    Parameters:
      `soapObject` - The FolderSoapDO that is being marshaled into a FolderDO.
    Returns:
      The FolderDO that contains the information from the soap object.
    Throws:
      `SoapMarshalingException` - If there was a problem converting the soap object to an rmi object.

  - ### rmiToSoap

    public Object rmiToSoap(Object rmiObject) throws SoapMarshalingException
    Converts a FolderDO into a GenericFolderSoapDO. This is used in custom event handlers since certain events throw plain FolderDO's into the object event (like folder renames).
    Parameters:
      `rmiObject` - The FolderDO that is being converted.
    Returns:
      The soapDO representation of the rmi object.
    Throws:
      `SoapMarshalingException` - If there was a problem converting the rmi object into an soap object.